# git-standalones

Some standalone math equations to use in other documents.

## LibreOffice Writer

Alas, when using LibreOffice Writer, inserting a pdf as an image results in a blurry image, and inserting it as an OLE object causes it to lose its font information.

### Convert to tif

It is possible to use GhostScript to convert to a .tif image, which overcomes both of these limitations.

To convert to 600dpi images:

````
gs -q -dNOPAUSE -dBATCH -sDEVICE=tiffg4  -r600x600 -sOutputFile=test.tif test.pdf
````

To convert to 1200dpi images:

````
gs -q -dNOPAUSE -dBATCH -sDEVICE=tiffg4  -r1200x1200 -sOutputFile=test.tif test.pdf
````

### Convert to eps

A better solution may be to convert the pdf to an .eps file, using `pdftops`. The syntax is:

````
pdftops -eps input.pdf output.eps
````

I am including both .tif and .eps images here (in the build folder) as I create them, ~~but will probably go to just creating .eps images shortly~~. **See next section**

### Convert to svg

The best solution I have found so far is to convert the files to svg. Not all utilities are equally adept at this, as most lost the font information. But [pdf2svg](https://github.com/dawbarton/pdf2svg) seems to have none of those limitations. It can easily be install with `apt` and has a very simple command structure:

````
pdf2svg input.pdf output.svg
````

(See also [this note](https://cityinthesky.co.uk/opensource/pdf2svg/) as pdf2svg has not been updated (although it still does work as of today).

